Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2cfd::/16
First address
2cfd::
Last address
2cfd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2cfd:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.f.c.2.ip6.arpa
Split into smaller subnets/24

2cfd::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12cfd::/242cfd:ff:ffff:ffff:ffff:ffff:ffff:ffff
22cfd:100::/242cfd:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32cfd:200::/242cfd:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42cfd:300::/242cfd:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52cfd:400::/242cfd:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62cfd:500::/242cfd:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72cfd:600::/242cfd:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82cfd:700::/242cfd:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92cfd:800::/242cfd:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102cfd:900::/242cfd:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112cfd:a00::/242cfd:aff:ffff:ffff:ffff:ffff:ffff:ffff
122cfd:b00::/242cfd:bff:ffff:ffff:ffff:ffff:ffff:ffff
132cfd:c00::/242cfd:cff:ffff:ffff:ffff:ffff:ffff:ffff
142cfd:d00::/242cfd:dff:ffff:ffff:ffff:ffff:ffff:ffff
152cfd:e00::/242cfd:eff:ffff:ffff:ffff:ffff:ffff:ffff
162cfd:f00::/242cfd:fff:ffff:ffff:ffff:ffff:ffff:ffff
172cfd:1000::/242cfd:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182cfd:1100::/242cfd:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192cfd:1200::/242cfd:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202cfd:1300::/242cfd:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212cfd:1400::/242cfd:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222cfd:1500::/242cfd:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232cfd:1600::/242cfd:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242cfd:1700::/242cfd:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252cfd:1800::/242cfd:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262cfd:1900::/242cfd:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272cfd:1a00::/242cfd:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282cfd:1b00::/242cfd:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292cfd:1c00::/242cfd:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302cfd:1d00::/242cfd:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312cfd:1e00::/242cfd:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322cfd:1f00::/242cfd:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332cfd:2000::/242cfd:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342cfd:2100::/242cfd:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352cfd:2200::/242cfd:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362cfd:2300::/242cfd:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372cfd:2400::/242cfd:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382cfd:2500::/242cfd:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392cfd:2600::/242cfd:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402cfd:2700::/242cfd:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412cfd:2800::/242cfd:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422cfd:2900::/242cfd:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432cfd:2a00::/242cfd:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442cfd:2b00::/242cfd:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452cfd:2c00::/242cfd:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462cfd:2d00::/242cfd:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472cfd:2e00::/242cfd:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482cfd:2f00::/242cfd:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492cfd:3000::/242cfd:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502cfd:3100::/242cfd:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512cfd:3200::/242cfd:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522cfd:3300::/242cfd:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532cfd:3400::/242cfd:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542cfd:3500::/242cfd:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552cfd:3600::/242cfd:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562cfd:3700::/242cfd:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572cfd:3800::/242cfd:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582cfd:3900::/242cfd:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592cfd:3a00::/242cfd:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602cfd:3b00::/242cfd:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612cfd:3c00::/242cfd:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622cfd:3d00::/242cfd:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632cfd:3e00::/242cfd:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642cfd:3f00::/242cfd:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652cfd:4000::/242cfd:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662cfd:4100::/242cfd:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672cfd:4200::/242cfd:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682cfd:4300::/242cfd:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692cfd:4400::/242cfd:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702cfd:4500::/242cfd:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712cfd:4600::/242cfd:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722cfd:4700::/242cfd:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732cfd:4800::/242cfd:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742cfd:4900::/242cfd:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752cfd:4a00::/242cfd:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762cfd:4b00::/242cfd:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772cfd:4c00::/242cfd:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782cfd:4d00::/242cfd:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792cfd:4e00::/242cfd:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802cfd:4f00::/242cfd:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812cfd:5000::/242cfd:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822cfd:5100::/242cfd:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832cfd:5200::/242cfd:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842cfd:5300::/242cfd:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852cfd:5400::/242cfd:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862cfd:5500::/242cfd:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872cfd:5600::/242cfd:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882cfd:5700::/242cfd:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892cfd:5800::/242cfd:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902cfd:5900::/242cfd:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912cfd:5a00::/242cfd:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922cfd:5b00::/242cfd:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932cfd:5c00::/242cfd:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942cfd:5d00::/242cfd:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952cfd:5e00::/242cfd:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962cfd:5f00::/242cfd:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972cfd:6000::/242cfd:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982cfd:6100::/242cfd:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992cfd:6200::/242cfd:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002cfd:6300::/242cfd:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012cfd:6400::/242cfd:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022cfd:6500::/242cfd:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032cfd:6600::/242cfd:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042cfd:6700::/242cfd:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052cfd:6800::/242cfd:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062cfd:6900::/242cfd:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072cfd:6a00::/242cfd:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082cfd:6b00::/242cfd:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092cfd:6c00::/242cfd:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102cfd:6d00::/242cfd:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112cfd:6e00::/242cfd:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122cfd:6f00::/242cfd:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132cfd:7000::/242cfd:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142cfd:7100::/242cfd:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152cfd:7200::/242cfd:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162cfd:7300::/242cfd:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172cfd:7400::/242cfd:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182cfd:7500::/242cfd:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192cfd:7600::/242cfd:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202cfd:7700::/242cfd:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212cfd:7800::/242cfd:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222cfd:7900::/242cfd:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232cfd:7a00::/242cfd:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242cfd:7b00::/242cfd:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252cfd:7c00::/242cfd:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262cfd:7d00::/242cfd:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272cfd:7e00::/242cfd:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282cfd:7f00::/242cfd:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292cfd:8000::/242cfd:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302cfd:8100::/242cfd:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312cfd:8200::/242cfd:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322cfd:8300::/242cfd:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332cfd:8400::/242cfd:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342cfd:8500::/242cfd:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352cfd:8600::/242cfd:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362cfd:8700::/242cfd:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372cfd:8800::/242cfd:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382cfd:8900::/242cfd:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392cfd:8a00::/242cfd:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402cfd:8b00::/242cfd:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412cfd:8c00::/242cfd:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422cfd:8d00::/242cfd:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432cfd:8e00::/242cfd:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442cfd:8f00::/242cfd:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452cfd:9000::/242cfd:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462cfd:9100::/242cfd:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472cfd:9200::/242cfd:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482cfd:9300::/242cfd:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492cfd:9400::/242cfd:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502cfd:9500::/242cfd:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512cfd:9600::/242cfd:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522cfd:9700::/242cfd:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532cfd:9800::/242cfd:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542cfd:9900::/242cfd:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552cfd:9a00::/242cfd:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562cfd:9b00::/242cfd:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572cfd:9c00::/242cfd:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582cfd:9d00::/242cfd:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592cfd:9e00::/242cfd:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602cfd:9f00::/242cfd:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612cfd:a000::/242cfd:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622cfd:a100::/242cfd:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632cfd:a200::/242cfd:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642cfd:a300::/242cfd:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652cfd:a400::/242cfd:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662cfd:a500::/242cfd:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672cfd:a600::/242cfd:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682cfd:a700::/242cfd:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692cfd:a800::/242cfd:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702cfd:a900::/242cfd:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712cfd:aa00::/242cfd:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722cfd:ab00::/242cfd:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732cfd:ac00::/242cfd:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742cfd:ad00::/242cfd:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752cfd:ae00::/242cfd:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762cfd:af00::/242cfd:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772cfd:b000::/242cfd:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782cfd:b100::/242cfd:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792cfd:b200::/242cfd:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802cfd:b300::/242cfd:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812cfd:b400::/242cfd:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822cfd:b500::/242cfd:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832cfd:b600::/242cfd:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842cfd:b700::/242cfd:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852cfd:b800::/242cfd:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862cfd:b900::/242cfd:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872cfd:ba00::/242cfd:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882cfd:bb00::/242cfd:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892cfd:bc00::/242cfd:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902cfd:bd00::/242cfd:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912cfd:be00::/242cfd:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922cfd:bf00::/242cfd:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932cfd:c000::/242cfd:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942cfd:c100::/242cfd:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952cfd:c200::/242cfd:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962cfd:c300::/242cfd:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972cfd:c400::/242cfd:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982cfd:c500::/242cfd:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992cfd:c600::/242cfd:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002cfd:c700::/242cfd:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012cfd:c800::/242cfd:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022cfd:c900::/242cfd:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032cfd:ca00::/242cfd:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042cfd:cb00::/242cfd:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052cfd:cc00::/242cfd:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062cfd:cd00::/242cfd:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072cfd:ce00::/242cfd:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082cfd:cf00::/242cfd:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092cfd:d000::/242cfd:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102cfd:d100::/242cfd:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112cfd:d200::/242cfd:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122cfd:d300::/242cfd:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132cfd:d400::/242cfd:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142cfd:d500::/242cfd:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152cfd:d600::/242cfd:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162cfd:d700::/242cfd:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172cfd:d800::/242cfd:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182cfd:d900::/242cfd:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192cfd:da00::/242cfd:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202cfd:db00::/242cfd:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212cfd:dc00::/242cfd:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222cfd:dd00::/242cfd:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232cfd:de00::/242cfd:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242cfd:df00::/242cfd:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252cfd:e000::/242cfd:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262cfd:e100::/242cfd:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272cfd:e200::/242cfd:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282cfd:e300::/242cfd:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292cfd:e400::/242cfd:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302cfd:e500::/242cfd:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312cfd:e600::/242cfd:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322cfd:e700::/242cfd:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332cfd:e800::/242cfd:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342cfd:e900::/242cfd:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352cfd:ea00::/242cfd:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362cfd:eb00::/242cfd:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372cfd:ec00::/242cfd:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382cfd:ed00::/242cfd:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392cfd:ee00::/242cfd:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402cfd:ef00::/242cfd:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412cfd:f000::/242cfd:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422cfd:f100::/242cfd:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432cfd:f200::/242cfd:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442cfd:f300::/242cfd:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452cfd:f400::/242cfd:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462cfd:f500::/242cfd:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472cfd:f600::/242cfd:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482cfd:f700::/242cfd:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492cfd:f800::/242cfd:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502cfd:f900::/242cfd:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512cfd:fa00::/242cfd:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522cfd:fb00::/242cfd:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532cfd:fc00::/242cfd:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542cfd:fd00::/242cfd:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552cfd:fe00::/242cfd:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562cfd:ff00::/242cfd:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses